var couleurLogoAcc = $("#logoHome:not(.active-nav-link) path"),
    couleurLogoCont = $('#logoContacts:not(.active-nav-link) path'),
    couleurLogoNews = $('#logoNews:not(.active-nav-link) path'),
    couleurLogoSite = $('#logoSite:not(.active-nav-link) path'),
    couleurLogoCpts = $('#logoComptes:not(.active-nav-link) path'),

    txtAcc = $('.txt-acc'),
    txtCont = $('.txt-cont'),
    txtNews = $('.txt-news'),
    txtSite = $('.txt-site'),
    txtCpts = $('.txt-cpts'),

    couleurAcc = "#b30000",
    couleurCont = "#6bef5a",
    couleurNews = "#ead935",
    couleurSite = "#009597",
    couleurCpts = "#ff9c00";


$('#logoHome.active-nav-link path').attr("fill", couleurAcc);
$('#logoContacts.active-nav-link path').attr("fill", couleurCont);
$('#logoNews.active-nav-link path').attr("fill", couleurNews);
$('#logoSite.active-nav-link path').attr("fill", couleurSite);
$('#logoComptes.active-nav-link path').attr("fill", couleurCpts);



//---- Pour gérer en un seul bloc l'animation des textes dans la sidebar
tl = new TimelineLite();




//---- Au hover + mouseOut
$('.sidebar-desktop').hover(
    //---> À l'entrée de la souris dans la Sidebar
        function(){
        TweenMax.to(couleurLogoAcc, 1, {fill: couleurAcc});
        TweenMax.to(couleurLogoCont, 1, {fill: couleurCont});
        TweenMax.to(couleurLogoNews, 1, {fill: couleurNews});
        TweenMax.to(couleurLogoSite, 1, {fill: couleurSite});
        TweenMax.to(couleurLogoCpts, 1, {fill: couleurCpts});

        tl
            .to(txtAcc, 0.3, {left: "50%", ease: Power2.easeOut})
            .to(txtCont, 0.3, {left: "50%", ease: Power2.easeOut}, "0.05")
            .to(txtNews, 0.3, {left: "50%", ease: Power2.easeOut}, "0.1")
            .to(txtSite, 0.3, {left: "50%", ease: Power2.easeOut}, "0.15")
            .to(txtCpts, 0.3, {left: "50%", ease: Power2.easeOut}, "0.2");

        tl.play();

        },

    //---> À la sortie de la souris de la Sidebar
    function () {

        TweenMax.to([
                couleurLogoAcc,
                couleurLogoCont,
                couleurLogoNews,
                couleurLogoSite,
                couleurLogoCpts],
              1, {fill: "#fff"}

            );

        tl.reverse();
    }
);

